org.wso2.carbon.governance.api.exception

## Class GovernanceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.registry.api.RegistryException
      - - org.wso2.carbon.registry.core.exceptions.RegistryException
        - - org.wso2.carbon.governance.api.exception.GovernanceException

- All Implemented Interfaces:
    Serializable

      public class GovernanceException
      extends org.wso2.carbon.registry.core.exceptions.RegistryException

  Base Class for capturing any type of exception that occurs when using the Governance APIs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GovernanceException()` Constructs a new exception.
    `GovernanceException(String message)` Constructs a new exception with the specified detail message.
    `GovernanceException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `GovernanceException(Throwable cause)` Constructs a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GovernanceException

          public GovernanceException()

      Constructs a new exception.

    - #### GovernanceException

          public GovernanceException(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### GovernanceException

          public GovernanceException(String message,
                                     Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause of this exception.

    - #### GovernanceException

          public GovernanceException(Throwable cause)

      Constructs a new exception with the specified cause.
      Parameters:
        `cause` - the cause of this exception.

Copyright © 2017 WSO2. All rights reserved.